Instalação do plugin Java no Google Chrome

Publicado por Leonardo Macedo Cerqueira em 29/09/2012

[ Hits: 71.824 ]

Blog: http://devopslab.com.br/

 


Instalação do plugin Java no Google Chrome



Esta dica serve para quem quer instalar o plugin Java no Google Chrome, para poder acessar páginas Java com sucesso: bancos, operadoras de celular e aplicações Java Web no geral.

Sistema operacional testado: Debian 6.0.5 - 32 bits e 64 bits.

1. Se você ainda não tiver instalado o Chrome, instale a última versão.

Chrome download:
2. Baixe a última versão do Java:
Atenção:
  • Para sistemas 32 bits, o pacote é este: jre-7u7-linux-i586.tar.gz
  • Para 64 bits: jre-7u7-linux-x64.tar.gz

3. Descompacte o Java na pasta /usr/java.

Criar a pasta "java":

# mkdir /usr/java/

Extrair na pasta "java":

# tar xvzf jre-7u7-linux-i586.tar.gz -C /usr/java/

4. Criar a pasta plugins no Google Chrome:

# mkdir /opt/google/chrome/plugins/

5. Criar um link simbólico do Java para a pasta plugin:

# ln -s /usr/java/jre1.7.0_07/lib/i386/libnpjp2.so /opt/google/chrome/plugins/

6. Reinicie o Google Chrome.

7. Abra o navegador Chrome e liste os plugins instalados, digitando na barra de endereços:

chrome://plugins/

Deverá ter o plugin Java:
Java - Versão: 1.7.0_07
Java plug-in for NPAPI-based browsers.


É isso aí.

Agora eu consigo acessar a página do banco. (hehehe)

Sinceramente, não sei por que tanto trabalho para um simples Java. Mas ele não é default, e GNU/Linux, às vezes, dá um trabalho extra, mesmo para coisas simples.

Outras dicas deste autor

Utilizando o SCP em vários servidores sem pedir senha

Liberar o FTP no IPtables

yum-plugin-downloadonly - Baixando pacote sem instalar via YUM

Setar timezone no PHP

Backup de banco de dados MySQL com mysqldump

Leitura recomendada

MusicTracker - Status musical no Pidgin

SqStat com Squid 3.3.6 monitorando usuários

Mercury - Novo cliente de MSN com suporte a Web Cam

Repositórios do Ubuntu livres de autenticação no Squid

Ativar SSL v3 no Firefox 34

  

Comentários
[1] Comentário enviado por removido em 29/09/2012 - 16:28h

Interessante.
Pena que não resolve o problema pra baixar o emissor NFe da Prodesp.
Tenho que usar o Firefox pra isso (após criar o link também!)

PS: Testado no Kubuntu 12.04

[2] Comentário enviado por izaias em 29/09/2012 - 23:33h

Parabéns!

Funcionou perfeitamente no Google Chrome 22, do Ubuntu 12.04.

[3] Comentário enviado por douradoinfo em 10/03/2013 - 20:07h

Oi, boa noite!
Com uma versão do Chrome mais antiga eu acessava páginas de bancos com o Icedtea. Quando inventei de atualizar o navegador, não consegui mais. Depois de fazer os procedimentos sugeridos por você, voltei a usar o Chrome sem problemas. Parabéns!

[4] Comentário enviado por Aminemonik em 31/10/2013 - 20:29h

Funcionou no Debian 7!!! Todavia, fora necessário certas modificações quanto a pasta do java que já está em outra versão!
Obrigado amigo!

[5] Comentário enviado por gidnet em 03/11/2013 - 02:14h

Obrigado pela objetividade da dica, quero dizer que funcionou perfeitamente, na distro Satux 4.0 baseada em Debian que vem no note da CCE, agora o crhome está "supimpa", "vixe" como esse termo é antigo.

[6] Comentário enviado por yermandu em 03/11/2013 - 18:21h

# aptitude install icedtea-plugin

no repositório oficial

[7] Comentário enviado por douglas.nantes em 06/02/2014 - 08:57h

Ubuntu

ln -s /usr/lib/jvm/java-7-oracle/jre/lib/amd64/libnpjp2.so /opt/google/chrome/plugins/sunjava

[8] Comentário enviado por douglas.nantes em 02/06/2014 - 09:25h

Funcionava no Ubuntu 13.04, atualizei para o Ubuntu 14.04 e não funciona mais.
Quando abro o chrome://plugins/ não aparece mais o java
Alguém sabe como resolver?

[9] Comentário enviado por douglas.nantes em 02/06/2014 - 10:34h

Descobri qual é o problema
O Google Chrome na versão 35 deixou de oferecer suporte para plugins NPAPI, ou seja, isso inclui o plugin Java da Oracle. A Google anunciou aqui neste link:
http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html

Não tenho certeza mas pelo que eu vi aqui em alguns sites alguns outros plugins também serão bloqueados e posteriormente os navegadores não oferecerão mais suporte:
http://gizmodo.uol.com.br/google-chrome-plugins-npapi/

:-(
Só queria saber qual a solução pra quem precisa utilizar esses plugins.
Vejo duas alternativas ruins no meu caso que quero acessar internet bank:
A primeira é tentar um downgrad do chrome, ou seja, instalar uma versão do Chrome inferior a versão 35. (Obs.: Nem sei se isso é possível)
A segunda seria utilizar algum navegador que ainda ofereça suporte aos plugins NPAPI, minha preocupação é quando as empresas vão se adaptar a mudança.
Prevejo que o banco que pretendo acessar ainda vai demorar a atualizar seu sistema de internet bank. Até lá só vejo dificuldades.

[10] Comentário enviado por hbtvieira em 04/06/2014 - 16:10h

E ae galera, também estou com o mesmo problema do @douglas.nantes se alguem souber como resolver eu ficaria grato!

Brigadão!
Abraço a todos!


[9] Comentário enviado por douglas.nantes em 02/06/2014 - 10:34h:

Descobri qual é o problema
O Google Chrome na versão 35 deixou de oferecer suporte para plugins NPAPI, ou seja, isso inclui o plugin Java da Oracle. A Google anunciou aqui neste link:
http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html

Não tenho certeza mas pelo que eu vi aqui em alguns sites alguns outros plugins também serão bloqueados e posteriormente os navegadores não oferecerão mais suporte:
http://gizmodo.uol.com.br/google-chrome-plugins-npapi/

:-(
Só queria saber qual a solução pra quem precisa utilizar esses plugins.
Vejo duas alternativas ruins no meu caso que quero acessar internet bank:
A primeira é tentar um downgrad do chrome, ou seja, instalar uma versão do Chrome inferior a versão 35. (Obs.: Nem sei se isso é possível)
A segunda seria utilizar algum navegador que ainda ofereça suporte aos plugins NPAPI, minha preocupação é quando as empresas vão se adaptar a mudança.
Prevejo que o banco que pretendo acessar ainda vai demorar a atualizar seu sistema de internet bank. Até lá só vejo dificuldades.


[11] Comentário enviado por pakitao em 05/07/2014 - 13:12h


[9] Comentário enviado por douglas.nantes em 02/06/2014 - 10:34h:

Descobri qual é o problema
O Google Chrome na versão 35 deixou de oferecer suporte para plugins NPAPI, ou seja, isso inclui o plugin Java da Oracle. A Google anunciou aqui neste link:
http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html

Não tenho certeza mas pelo que eu vi aqui em alguns sites alguns outros plugins também serão bloqueados e posteriormente os navegadores não oferecerão mais suporte:
http://gizmodo.uol.com.br/google-chrome-plugins-npapi/

:-(
Só queria saber qual a solução pra quem precisa utilizar esses plugins.
Vejo duas alternativas ruins no meu caso que quero acessar internet bank:
A primeira é tentar um downgrad do chrome, ou seja, instalar uma versão do Chrome inferior a versão 35. (Obs.: Nem sei se isso é possível)
A segunda seria utilizar algum navegador que ainda ofereça suporte aos plugins NPAPI, minha preocupação é quando as empresas vão se adaptar a mudança.
Prevejo que o banco que pretendo acessar ainda vai demorar a atualizar seu sistema de internet bank. Até lá só vejo dificuldades.


Bom eu uso o Google Chrome e recentemente após essa bendita atualização não funcionou mais meu java. Diante disso eu sugiro que vocês utilizem o Firefox, ou no meu caso, que é Debian Wheezy, usar o Iceweasel, e está funcionando tudo normalmente.

[12] Comentário enviado por ziober em 30/07/2014 - 10:34h

Tentei fazer esta instalação no Ubuntu 14.04, mas não deu certo o Java não aparece em hipotese alguma.

[13] Comentário enviado por valterrezendeeng em 09/01/2015 - 08:54h

Informação Oficial do Site

https://www.java.com/pt_BR/download/faq/chrome.xml

Suporte a NPAPI pelo Chrome
O plug-in Java para Web browsers conta com a arquitetura de plug-in para várias plataformas NPAPI, que tem sido há muito tempo, e ainda é atualmente, suportada por todos os principais Web browsers. A Google anunciou em setembro de 2013 seus planos para remover do Chrome o suporte a NPAPI "até o final de 2014"; dessa forma, fica efetivamente eliminado o suporte a Silverlight, Java, Facebook Video e outros plug-ins semelhantes baseados em NPAPI. Recentemente, a Google reviu seus planos e agora declara que planeja remover completamente a NPAPI no final de 2015. Como não ficou claro se essas datas ainda serão estendidas ou não, recomendamos enfaticamente que os usuários do Java considerem alternativas ao Chrome assim que possível. Em vez disso, recomendamos o Firefox, o Internet Explorer e o Safari como opções de longo prazo.


Chrome e Linux
Começando com a versão do Chrome 35, o suporte a NPAPI (API do Plug-in do Netscape) foi removido para a plataforma Linux. Para obter mais informações, consulte Chrome e NPAPI (blog.chromium.org).

O Firefox é o browser recomendado para Java no Linux.

[14] Comentário enviado por Glaucesousa em 01/12/2015 - 00:16h

Boa noite.
Gostaria de saber como faço para descobrir se o meu notebook é 32 ou 64 bits?
Este é o meu Sistema operacional Linux / Satux que vem no note da CCE.

Desde já agradeço.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts